ETS 2 ModsETS2 Skin

ETS2 – Tld Trailer Skin V1 (1.33.x)

This mod requires ETS2 1.31; 1.32; 1.33.x
Trailer Ownership Support:
– Dry freighter
– Insulated
– Refrigerated
Supported game versions: ETS2 – (1.33.x)

Authors: ALEXD

Leave a Reply

Your email address will not be published. Required fields are marked *

Back to top button
Close